org.apache.commons.ssl.asn1

## Class DERSet

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Encodable
  - - org.apache.commons.ssl.asn1.DERObject
    - - org.apache.commons.ssl.asn1.ASN1Object
      - - org.apache.commons.ssl.asn1.ASN1Set
        - - org.apache.commons.ssl.asn1.DERSet

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  BERSet

    public class DERSet
    extends ASN1Set

A DER encoded set object

### Field Summary

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Set

`set`

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.apache.commons.ssl.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`DERSet()` create an empty set
`DERSet(ASN1Encodable[] a)` create a set from an array of objects.
`DERSet(DEREncodable obj)`
`DERSet(DEREncodableVector v)`
`DERSet(DEREncodableVector v, boolean needsSorting)`

### Method Summary

Methods
`(package private) void` `encode(DEROutputStream out)`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Set

`addObject, asn1Equals, getInstance, getInstance, getObjectAt, getObjects, hashCode, parser, size, sort, toString`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.apache.commons.ssl.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DERSet

    public DERSet()

create an empty set

#### DERSet

    public DERSet(DEREncodable obj)

Parameters:
  `obj` - - a single object that makes up the set.

#### DERSet

    public DERSet(DEREncodableVector v)

Parameters:
  `v` - - a vector of objects making up the set.

#### DERSet

    public DERSet(ASN1Encodable[] a)

create a set from an array of objects.

#### DERSet

    DERSet(DEREncodableVector v,
          boolean needsSorting)

Parameters:
  `v` - - a vector of objects making up the set.

### Method Detail

#### encode

    void encode(DEROutputStream out)
          throws java.io.IOException

Specified by:
  `encode` in class `ASN1Set`
Throws:
  `java.io.IOException`